package jp.sf.beanbinder.petstore.controller;

import java.math.BigDecimal;

import javax.swing.JOptionPane;

import jp.sf.beanbinder.BeanBinder;
import jp.sf.beanbinder.adapter.ObjectAdapter;
import jp.sf.beanbinder.exception.ValidateException;
import jp.sf.beanbinder.petstore.model.Item;
import jp.sf.beanbinder.petstore.model.Order;

public class AddItem implements Command {

    public void execute(BeanBinder binder) {
        try {
            binder.updateObject("qty");

            ObjectAdapter adapter = (ObjectAdapter)binder.getObject("qty");
            Integer qty = Integer.parseInt(adapter.getValue().toString());
            Order order = (Order)binder.getObject("order");
            Item item = (Item)binder.getSelectedValue("jTable2");
            if( item == null ) {
                JOptionPane.showMessageDialog(null, "商品を選択して下さい。");
                return;
            }
            
            order.addItemDetail(item, new BigDecimal(qty));
            
            binder.setObject("qty", new ObjectAdapter(0));
            binder.updateComponent(".*");
        }catch(ValidateException e) {
            e.printStackTrace();
        }
    }

}
